# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "shuttle-proto"
version = "0.34.1"
description = "Library for all the gRPC definitions used by shuttle"
readme = "README.md"
license = "Apache-2.0"

[dependencies.anyhow]
version = "1.0.66"
optional = true

[dependencies.chrono]
version = "0.4.23"
optional = true
default-features = false

[dependencies.futures-core]
version = "0.3.28"

[dependencies.prost]
version = "0.12.1"

[dependencies.prost-types]
version = "0.12.1"

[dependencies.serde_json]
version = "1.0.89"
optional = true

[dependencies.shuttle-common]
version = "0.34.1"

[dependencies.tokio]
version = "1.22.0"
optional = true

[dependencies.tonic]
version = "0.10.2"

[dependencies.tracing]
version = "0.1.37"
optional = true
default-features = false

[features]
builder = []
default = []
logger = [
    "shuttle-common/service",
    "chrono",
    "tracing",
    "tokio/macros",
    "tokio/time",
]
provisioner = []
resource-recorder = [
    "anyhow",
    "serde_json",
]
runtime = []
